//common objects
var common = {
	createScrollView : function createScrollView() {

		var scrollView = Ti.UI.createScrollView({
			contentWidth : '',
			contentHeight : '100%',
			showVerticalScrollIndicator : true,
			showHorizontalScrollIndicator : false,
			height: Ti.Platform.displayCaps.platformHeight,
			// width: '100%',
			backgroundColor : 'transparent',
			layout : 'vertical',

		});

		return scrollView;
	},

	createTableView : function createTableView(backgroundImage) {

		var TheTable = Titanium.UI.createTableView({
			// allowsSelection : true,
			//	backgroundImage : "images/Agilent_1x/detailsScreen/bg_detail.png",
			//minRowHeight : minRowHeight,
			backgroundImage : backgroundImage,
			//  separatorColor : separatorColor,
			width : '100%',
			height:Ti.UI.SIZE
		});

		return TheTable
	},

	createTableViewRow : function createTableViewRow(backgroundImage) {

		var row = Titanium.UI.createTableViewRow({
			height : Ti.UI.SIZE,
			width : '100%',
			separatorColor : 'transparent',
			selectionStyle : 'None',
			backgroundColor : 'transparent',
			//backgroundImage:backgroundImage,
		});

		return row
	},

	createActivityIndicator : function createActivityIndicator(color, text, height, width, left, fontsize) {

		var activityIndicator = Ti.UI.createActivityIndicator({
			message : text,
			color : color,
			style : Titanium.UI.ActivityIndicatorStyle.BIG,
			height : height,
			width : width,
			left : left,
			font : {
				fontSize : fontsize,
				fontWeight : 'bold'
			},
			touchEnabled : false
		});
		return activityIndicator
	},

	createTextField : function createTextField(hintText, top, left, height, width) {

		var textField = Ti.UI.createTextField({
			autocorrect : false,
			hintText : hintText,
			top : top,
			editable : true,
			touchEnabled : true,
			color : '#000000',
			height : height,
			left : left,
			width : width,
			suppressReturn : false,
			clearButtonMode : Ti.UI.INPUT_BUTTONMODE_ONFOCUS,
			borderStyle : Ti.UI.INPUT_BORDERSTYLE_NONE,
			returnKeyType : Ti.UI.RETURNKEY_NEXT

		});

		return textField
	},
	creategradientButton : function creategradientButton(top, left, height, width, title, opacity, side) {

		var gradientButton = Ti.UI.createButton({
			height : height,
			width : width,
			opacity : opacity,
			color : '#ffffff',
			//left : 32,
			//bottom : 10,
			font : {
				fontSize : 13 * Ti.App.densityFactor,
				//fontSize: 13,
				fontFamily : 'Arial',
				fontWeight : 'Bold'
			},
			title : title,
			top : top,
			style : Titanium.UI.iPhone.SystemButtonStyle.PLAIN,

			borderRadius : 8,
			backgroundGradient : {
				startPoint : {
					x : 0,
					y : 17
				},
				endPoint : {
					x : 0,
					y : 50
				},
				backFillStart : false,

				type : 'linear',
				colors : [{

					color : '#7e7e7e',
					//	position : 0.0
				}, {
					color : '#323232',
					//	position : 1.0
				}],
			}

		});

		if (side == 'left')
			gradientButton.left = left;
		else
			gradientButton.right = left;
		return gradientButton
	},
	createRightButton : function createRightButton(top, right, height, width, backgroundImage) {
		height = (height == 'SIZE' || height == 'FILL') ? (height) : (height * Ti.App.densityHeightFactor);
		width = (width == 'SIZE' || width == 'FILL') ? (width) : (width * Ti.App.densityWidthFactor);
		var button = Ti.UI.createButton({
			top : top,
			right : right,
			backgroundImage : backgroundImage,
			width : width,
			height : height,
			borderRadius : '4',
		});
		return button
	},
	createView : function createView(top, left, height, width, backgroundImage) {
		var osname = Ti.Platform.osname;
		if (osname == 'iphone' || osname == 'ipad') {
			height = (height == 'SIZE' || height == 'FILL') ? (height) : (height * Ti.App.densityHeightFactor);
			width = (width == 'SIZE' || width == 'FILL') ? (width) : (width * Ti.App.densityWidthFactor);
		}

		var view = Ti.UI.createView({
			backgroundImage : backgroundImage,
			width : width,
			height : height,
			top : top,
			left : left,
		});

		return view
	},

	creategradientView : function createView(top, left, height, width, backgroundImage, color1, color2) {
		var osname = Ti.Platform.osname;
		if (osname == 'iphone' || osname == 'ipad') {
			height = (height == 'SIZE' || height == 'FILL') ? (height) : (height * Ti.App.densityHeightFactor);
			width = (width == 'SIZE' || width == 'FILL') ? (width) : (width * Ti.App.densityWidthFactor);
		}

		var view = Ti.UI.createView({
			backgroundImage : backgroundImage,
			width : width,
			height : height,
			top : top,
			left : left,
		});

		view.borderRadius = 8;
		view.backgroundGradient = {
			startPoint : {
				x : 0,
				y : 17
			},
			endPoint : {
				x : 0,
				y : 50
			},
			backFillStart : false,

			type : 'linear',
			colors : [{

				color : color1,
				position : 0.0
			}, {
				color : color2,
				position : 1.0
			}],
		};

		return view
	},
	createTopLabel : function createLabel() {
		//height = (height=='SIZE'||height=='FILL')?(height):(height*Ti.App.densityHeightFactor);
		//width = (width=='SIZE'||width=='FILL')?(width):(width*Ti.App.densityWidthFactor);
		var label = Ti.UI.createLabel({
			font : {
				fontSize : 13 * Ti.App.factor,
				//fontSize: 13,
				fontFamily : 'Arial',
				fontWeight : 'Bold'
			},
			color : '#ffffff',
			text : '(0)',
			left : '47.91%',
			// left: 23,
			width : Ti.UI.SIZE,
			height : Ti.UI.SIZE
		});
		return label
	},
	createTopButton : function createButton(left, height, width, backgroundImage) {
		height = (height == 'SIZE' || height == 'FILL') ? (height) : (height * Ti.App.densityHeightFactor);
		width = (width == 'SIZE' || width == 'FILL') ? (width) : (width * Ti.App.densityWidthFactor);
		var button = Ti.UI.createButton({

			left : left,
			backgroundImage : backgroundImage,
			width : width,
			height : height,
			zIndex : 1

		});
		return button
	},
	createRightView : function createView(right, height, width, backgroundColor) {
		height = (height == 'SIZE' || height == 'FILL') ? (height) : (height * Ti.App.densityHeightFactor);
		width = (width == 'SIZE' || width == 'FILL') ? (width) : (width * Ti.App.densityWidthFactor);
		var view = Ti.UI.createView({
			backgroundColor : backgroundColor,
			width : width,
			height : height,
			right : right,
		});
		return view
	},
	createNavBarButton : function createNavBarButton(height, width, backgroundImage) {
		//height = (height=='SIZE'||height=='FILL')?(height):(height*Ti.App.densityHeightFactor);
		//width = (width=='SIZE'||width=='FILL')?(width):(width*Ti.App.densityWidthFactor);
		var button = Ti.UI.createButton({
			backgroundImage : backgroundImage,
			width : width,
			height : height,
		});
		return button
	},
	createWindow : function createWindow(backgroundImage, barImage) {
		var osname = Ti.Platform.osname;

		var window = Ti.UI.createWindow({
			backgroundImage : backgroundImage,
			//  barImage:barImage ,
			orientationModes : [Ti.UI.PORTRAIT, Ti.UI.UPSIDE_PORTRAIT, Ti.UI.LANDSCAPE_LEFT, Ti.UI.LANDSCAPE_RIGHT]
		});

		if (osname == 'iphone' || osname == 'ipad') {
			window.barImage = barImage
		}

		return window
	},
	createLabel : function createLabel(text, top, left, width, height, color, type) {
		var osname = Ti.Platform.osname;
		if (osname == 'iphone' || osname == 'ipad') {

			height = (height == 'SIZE' || height == 'FILL') ? (height) : (height * Ti.App.densityHeightFactor);
			width = (width == 'SIZE' || width == 'FILL') ? (width) : (width * Ti.App.densityWidthFactor);

		}
		/*var width;
		 if(type == Ti.App.LABEL_TYPE_FIELD) {
		 width = (width=='SIZE'||width=='FILL')?(width):(width*Ti.App.densityWidthFactor);
		 }
		 else if(type == Ti.App.LABEL_TYPE_VALUE){
		 left = left * Ti.App.densityWidthFactor;
		 }
		 else {
		 width = Ti.UI.FILL;
		 }*/
		var label = Ti.UI.createLabel({
			text : text,
			top : top,
			//left: left*Ti.App.factor,
			left : left,
			color : color,
			width : width,
			height : height,
			font : {
				fontSize : 13 * Ti.App.factor,
				//fontSize: 13,
				fontFamily : 'Arial',
				fontWeight : 'Bold'
			},
		});

		if (osname == 'iphone' || osname == 'ipad') {

		}

		return label
	},
	rightLabel : function createLabel(text, top, right, color) {
		//height = (height=='SIZE'||height=='FILL')?(height):(height*Ti.App.densityHeightFactor);
		//width = (width=='SIZE'||width=='FILL')?(width):(width*Ti.App.densityWidthFactor);
		var label = Ti.UI.createLabel({
			text : text,
			top : top,
			right : right,
			color : color,
			width : Ti.UI.SIZE,
			height : Ti.UI.SIZE,
			font : {
				fontSize : 13 * Ti.App.factor,
				//fontSize: 13,
				fontFamily : 'Arial',
				fontWeight : 'Bold'
			},
		});
		return label
	},
	//commonLabel: function createLabel(text,top,left,color,fontsize,HighlightedColor,textAlign) {
	commonLabel : function createLabel(text, top, left, width, height, color, fontsize, HighlightedColor, textAlign) {
		//height = (height=='SIZE'||height=='FILL')?(height):(height*Ti.App.densityHeightFactor);
		//width = (width=='SIZE'||width=='FILL')?(width):(width*Ti.App.densityWidthFactor);
		var osname = Ti.Platform.osname;

		var label = Titanium.UI.createLabel({
			text : text,
			color : color,
			//   HighlightedColor: HighlightedColor,
			font : {
				//fontSize: fontsize*Ti.App.factor,
				//fontSize : fontsize * Ti.App.factor,
				fontFamily : 'Arial',
				fontWeight : 'Bold'
			},
			width : width,
			height : height,
			textAlign : textAlign,
			top : top,
			//left: left*Ti.App.factor,
			left : left,

		});

		if (osname == 'iphone' || osname == 'ipad') {
			label.font = {
				//fontSize: fontsize*Ti.App.factor,
				fontSize : fontsize * Ti.App.factor,

			}
		} else {
			label.font = {
				//fontSize: fontsize*Ti.App.factor,
				fontSize : fontsize ,

			}

		}

		return label
	},
	//commonRightLabel: function createLabel(text,top,right,color,fontsize,HighlightedColor,textAlign) {
	commonRightLabel : function createLabel(text, top, right, width, height, color, fontsize, HighlightedColor, textAlign) {

		var osname = Ti.Platform.osname;

		//var _height = (height=='SIZE'||height=='FILL')?(height):(height*Ti.App.densityHeightFactor);
		//var _width = (width=='SIZE'||width=='FILL')?(width):(width*Ti.App.densityWidthFactor);
		var label = Titanium.UI.createLabel({
			text : text,
			color : color,
			//   HighlightedColor: HighlightedColor,
			font : {

				//fontSize: fontsize,
				fontFamily : 'Arial',
				fontWeight : 'Bold'
			},
			width : width,
			height : height,
			textAlign : textAlign,
			top : top,
			//right: right*Ti.App.factor,
			right : right,

		});

		if (osname == 'iphone' || osname == 'ipad') {
			label.font = {
				//fontSize: fontsize*Ti.App.factor,
				fontSize : fontsize * Ti.App.factor,

			}
		} else {
			label.font = {
				//fontSize: fontsize*Ti.App.factor,
				fontSize : fontsize ,

			}

		}

		return label
	},
	alertDialog : function(title, message, buttonName) {
		return Titanium.UI.createAlertDialog({
			title : title,
			message : message,
			buttonNames : ['Cancel', buttonName]
		});
	},
	eMailDialog : function eMailDialog(toAddress, subject, emailBody) {
		var emailDialog = Titanium.UI.createEmailDialog({
			toRecipients : [toAddress],
			subject : subject,
			messageBody : emailBody

		});
		emailDialog.open();

		return emailDialog;
	},
	customImageView : function customImageView(imageName, _top, _left, _width, _height) {

		var image = Ti.UI.createImageView({
			image : imageName,
			top : _top,
			left : _left,
			width : _width,
			height : _height
		});

		return image;
	},
	validateEmail : function validateEmail(emailAddress) {

		if (emailAddress != '' && emailAddress != null && emailAddress != undefined && emailAddress.search('@') != -1) {
			return true;
		} else
			return false
	},
	formatPhoneNumber : function formatPhoneNumber(tempPhoneNumber) {

		if (tempPhoneNumber != undefined) {
			var rangeOfTelnetString = tempPhoneNumber.indexOf('x:');
			var formattedPhoneNumber = tempPhoneNumber;
			if (rangeOfTelnetString != -1) {
				formattedPhoneNumber = tempPhoneNumber.slice(0, rangeOfTelnetString);
				//Ti.API.info('Phone :'+formattedPhoneNumber);
				return formattedPhoneNumber;
			} else {
				return formattedPhoneNumber;
			}
		} else {
			return '';
		}
	}
};
module.exports = common;
/*
 exports.validateEmail = function(emailAddress) {

 if(emailAddress != '' && emailAddress != null && emailAddress != undefined && emailAddress.search('@') != -1) {
 return true;
 }
 else
 return false
 }

 // remove the string after "x:"
 exports.formatPhoneNumber =  function(tempPhoneNumber) {

 if(tempPhoneNumber != undefined) {
 var rangeOfTelnetString = tempPhoneNumber.indexOf('x:');
 var formattedPhoneNumber = tempPhoneNumber;
 if(rangeOfTelnetString != -1) {
 formattedPhoneNumber = tempPhoneNumber.slice(0,rangeOfTelnetString);

 Ti.API.info('Phone :'+formattedPhoneNumber);
 return formattedPhoneNumber;
 }
 else {
 return '';
 }
 }
 }
 */